<form action="submit" [formGroup]="formGroup" *ngIf="formGroup" (ngSubmit)="onSaveForm()">
    <div class="row align-top">
        <div class="col-12">
            <gridster [options]="options" *ngIf="!isNil(config)" [style.backgroundColor]="config.background">
                <gridster-item [item]="item" *ngFor="let item of config?.fields" #admingrid
                               [ngClass]="{'logo-card': item.lines[0].fieldType === 4}"
                               [style.backgroundColor]="config.cardBackground">
                    <div class="row justify-content-between" [ngClass]="{
          'column-direction' : item.rows > 1,
           'h-fit-content': (item.lines[0].fieldType === 3 || item.lines[0].fieldType === 4),
            'justify-content-center': (item.lines[0].fieldType === 3 && item.lines[0].fieldValue === false),
            'justify-content-between': (item.lines[0].fieldValue !== false) }">
                        <ng-container *ngFor="let line of item.lines">
                            <ng-container *ngIf="!item?.isQualification">
                                <ng-container [ngSwitch]="line.fieldType">
                                    <div class="col-12" *ngSwitchCase="qualificationFieldType.textArea">
                                        <app-textarea [form]="formGroup" [title]="line?.title"
                                                      [controlName]="getQualificationsControlName(line)"></app-textarea>
                                    </div>
                                    <ng-container *ngSwitchCase="qualificationFieldType.submitArea">
                                        <button class="btn btn-primary position-unset margin-submit-buttons align-self-center validation-buttons"
                                                type="submit"
                                                [ngClass]="{'col-2' : line?.fieldValue !== false, 'col': line?.fieldValue === false}"
                                        >envoyer
                                        </button>
                                        <div class="col align-self-center" *ngIf="displayCountdown">
                                            {{ config.timeoutText }}
                                            <countdown class="col align-self-center" #cd [config]="countdownConfig"
                                                       (event)="handleEvent($event)"></countdown>
                                        </div>
                                        <button class="btn btn-secondary col-2 position-unset margin-submit-buttons align-self-center validation-buttons"
                                                type="button" (click)="close()"
                                                *ngIf="line?.fieldValue !== false"
                                        >{{ getCloseButtonLabel() }}
                                        </button>   
                                    </ng-container>
                                    <div class="col-12 h-fit-content" *ngSwitchCase="qualificationFieldType.logoArea">
                                        <img [src]="line?.title" alt="" class="logo"
                                             [ngClass]="{'align-picture-center':line?.subTitle === 'center', 'align-picture-right':line?.subTitle === 'right'}">
                                    </div>
                                    <div class="col" *ngSwitchCase="qualificationFieldType.textField">
                                        <app-textfield [form]="formGroup" [title]="line?.title"
                                                       [controlName]="getQualificationsControlName(line)"></app-textfield>
                                    </div>
                                </ng-container>
                            </ng-container>
                            <ng-container *ngIf="item?.isQualification">
                                <div [ngClass]="{ 'col-6' : item.rows === 1, 'col-12': item.rows > 1}">
                                    <app-auto-complete [form]="formGroup"
                                                       [controlName]="getQualificationsControlName(line)"
                                                       [options]="line?.values"
                                                       [formatter]="qualificationFormatter"
                                                       [title]="line?.title"></app-auto-complete>
                                </div>
                                <div [ngClass]="{ 'col-6' : item.rows === 1, 'col-12': item.rows > 1}"
                                     *ngIf="formGroup.get(line.formControlName)?.value">
                                    <app-auto-complete [form]="formGroup"
                                                       [controlName]="getSubQualificationsControlName(line)"
                                                       [options]="getSubQualifications(line.formControlName)"
                                                       [formatter]="qualificationFormatter"
                                                       [title]="line?.subTitle"
                                    ></app-auto-complete>
                                </div>
                            </ng-container>
                        </ng-container>
                    </div>

                </gridster-item>
            </gridster>
        </div>
    </div>
</form>
